from django.contrib import admin

from .models import Author, Books


class AssignmentAdmin(admin.ModelAdmin):
    model = Author

    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio',)
    search_fields = ('first_name', 'last_name', 'age', 'nationality', 'bio',)
    list_filter = ('first_name', 'last_name', 'age', 'nationality', 'bio',)


class CourseAdmin(admin.ModelAdmin):
    model = Books

    list_display = ('title', 'author', 'publisher', 'year_published', 'isbn', 'blurb', )
    search_fields = ('title', 'author', 'publisher', 'year_published', 'isbn', 'blurb', )
    list_filter = ('title', 'author', 'publisher', 'year_published', 'isbn', 'blurb', )


admin.site.register(Author, AssignmentAdmin)
admin.site.register(Books, CourseAdmin) 